Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Tag: Gradle

"Error: Atributo" estilo "ya se ha definido" error después de añadir facebook sdk de Maven

Agregué facebook SDK a través de maven de la siguiente manera: compile 'com.facebook.android:facebook-android-sdk:3.21.1' Cuando compile, estoy recibiendo el error en mi archivo \app\src\main\res\values\colors.xml como Error:Attribute "style" has already been defined ¿Alguna sugerencia? Es muy desconcertante. Gradle: apply plugin: 'com.android.application' android { compileSdkVersion 21 buildToolsVersion '21.1.1' defaultConfig { applicationId 'com.rayat.pricewiz' minSdkVersion 17 targetSdkVersion 21 versionCode 1 […]

Android Studio dice usar Gradle 1.10 – pero la nueva versión es 1.12?

El error: The project is using an unsupported version of Gradle. Please use version 1.10. My `gradle.build` file says this: dependencies { classpath 'com.android.tools.build:gradle:0.12.+' } Por lo que sé, la línea anterior es correcta. Mi archivo gradle-wrapper dice: distributionUrl=http\://services.gradle.org/distributions/gradle-1.12-all.zip Esto sucedió cuando descargué la versión beta más reciente de Android Studio (v.8) y traté de […]

Android apk – Cómo excluir un archivo .so de una dependencia de terceros utilizando gradle

Tengo un proyecto de androide con varias dependencias. Dos de ellos (llamémoslos dependencia A y B) tienen bibliotecas nativas (archivos .so). La dependencia A tiene las siguientes arquitecturas: arm64-v8a, armeabi, armeabi-v7a, x86 y x86_64. La dependencia B tiene las siguientes arquitecturas: armeabi, x86 Por lo tanto, cuando mi aplicación se ejecuta en un dispositivo armeabi-v7a […]

Android Studio utilizando una biblioteca y un proyecto con el mismo nombre de paquete

Tengo una biblioteca que utilizo como base para todas mis aplicaciones de Android y tiene el siguiente archivo de manifiesto: <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.example.android" xmlns:tools="http://schemas.android.com/tools" android:versionCode="36" android:versionName="1.b" > <uses-sdk android:minSdkVersion="5" android:targetSdkVersion="21" tools:overrideLibrary="com.facebook.android"/> Entonces intento utilizarlo en uno de mis proyectos que tiene el siguiente manifiesto: <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.example.android" xmlns:tools="http://schemas.android.com/tools" android:versionCode="36" […]

Android Studio 0.4. + Almacén de claves de depuración personalizado

Antes de Android Studio 0.4, pude configurar un almacén de claves de depuración personalizado mediante File -> Project Structure -> Facets -> Compiler Tab Esta opción ha ido por lo menos con Android Studio 0.4.2. ¿Dónde puedo configurar el almacén de claves personalizado para poder compartirlo en diferentes PC, por ejemplo, a través de un […]

Gradle Robolectric Resources NotFoundException en pruebas

Ya he sabido que este problema se ha pedido antes, pero no puedo resolver este problema. Soy capaz de compilar y aplicar la prueba con jUnit, Robolectric y Gradle. El problema o error aparece cuando intento probar una actividad o obtener un recurso. Cada vez que tengo el mismo problema: Android.content.res.Resources $ NotFoundException: recurso desconocido […]

Configurar la carpeta de prueba para las pruebas unitarias en el estudio de Android

He añadido una carpeta para las pruebas de unidad en mi proyecto de estudio de Android. La carpeta predeterminada es andoidTest, pero he añadido una nueva carpeta y un nuevo nombre en la prueba. ( Como pruebas de muestras roboeléctricas ) Cuando agrego la dependencia de prueba en mi build.gradle bajo módulo como testCompile("junit:junit:${junitVersion}") testCompile […]

El paquete no existe cuando se utiliza una aplicación independiente como dependencia

Estoy tratando de compilar una aplicación utilizando una aplicación independiente como una dependencia, pero cuando compilar los módulos de referencia de esta biblioteca veo varios mensajes "error: el paquete no existe" y "error: no se puede encontrar la clase de símbolo" de graddle. Los siguientes son mis dos archivos de compilación. apply plugin: 'android' android […]

Error al configurar SDK: Error: Módulo 'app': plataforma 'Google Inc.: API de Google: 21' no encontrado

Failed to set up SDK: Error:Module 'app': platform 'Google Inc.:Google APIs:21' not found. En una pérdida completa de por qué esto no está funcionando. Intenté actualizar mi SDK a 23 pero me di cuenta que no estaba preparado para hacer frente a todas las nuevas depreciaciones, etc., así que volví a una versión anterior en […]

¿Cómo puedo agregar un JAR en mi proyecto gradle?

Estoy usando gradle en el estudio de Android para un proyecto de androide. Tengo un tarro que he descargado llamado TestFlightAppLib.jar . Esta jarra no está presente en el repositorio de maven por lo que no puedo ponerlo en mi build.gradle . ¿Cómo puedo añadir este archivo JAR a mi proyecto? No veo ninguna opción […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.